SND_PCM_LIB_ALLOC_VM(9)

NAME
snd_pcm_lib_alloc_vmalloc_32_buffer - allocate 32-bit-addressable buffer

SYNOPSIS

int snd_pcm_lib_alloc_vmalloc_32_buffer(struct snd_pcm_substream * substream, size_t size);

ARGUMENTS

substream
    the substream to allocate the buffer to

size
    the requested buffer size, in bytes

DESCRIPTION

This function works like snd_pcm_lib_alloc_vmalloc_buffer, but uses vmalloc_32, i.e., the pages are allocated from 32-bit-addressable memory.

RETURN

1 if the buffer was changed, 0 if not changed, or a negative error code.

COPYRIGHT